import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  AcknowledgeThirdPartyJobInput,
  AcknowledgeThirdPartyJobOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface AcknowledgeThirdPartyJobCommandInput
  extends AcknowledgeThirdPartyJobInput {}
export interface AcknowledgeThirdPartyJobCommandOutput
  extends AcknowledgeThirdPartyJobOutput,
    __MetadataBearer {}
declare const AcknowledgeThirdPartyJobCommand_base: {
  new (
    input: AcknowledgeThirdPartyJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AcknowledgeThirdPartyJobCommandInput,
    AcknowledgeThirdPartyJobCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: AcknowledgeThirdPartyJobCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    AcknowledgeThirdPartyJobCommandInput,
    AcknowledgeThirdPartyJobCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class AcknowledgeThirdPartyJobCommand extends AcknowledgeThirdPartyJobCommand_base {
  protected static __types: {
    api: {
      input: AcknowledgeThirdPartyJobInput;
      output: AcknowledgeThirdPartyJobOutput;
    };
    sdk: {
      input: AcknowledgeThirdPartyJobCommandInput;
      output: AcknowledgeThirdPartyJobCommandOutput;
    };
  };
}
