import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  GetPipelineExecutionInput,
  GetPipelineExecutionOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface GetPipelineExecutionCommandInput
  extends GetPipelineExecutionInput {}
export interface GetPipelineExecutionCommandOutput
  extends GetPipelineExecutionOutput,
    __MetadataBearer {}
declare const GetPipelineExecutionCommand_base: {
  new (
    input: GetPipelineExecutionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetPipelineExecutionCommandInput,
    GetPipelineExecutionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetPipelineExecutionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetPipelineExecutionCommandInput,
    GetPipelineExecutionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetPipelineExecutionCommand extends GetPipelineExecutionCommand_base {
  protected static __types: {
    api: {
      input: GetPipelineExecutionInput;
      output: GetPipelineExecutionOutput;
    };
    sdk: {
      input: GetPipelineExecutionCommandInput;
      output: GetPipelineExecutionCommandOutput;
    };
  };
}
