import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  StopPipelineExecutionInput,
  StopPipelineExecutionOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface StopPipelineExecutionCommandInput
  extends StopPipelineExecutionInput {}
export interface StopPipelineExecutionCommandOutput
  extends StopPipelineExecutionOutput,
    __MetadataBearer {}
declare const StopPipelineExecutionCommand_base: {
  new (
    input: StopPipelineExecutionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopPipelineExecutionCommandInput,
    StopPipelineExecutionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: StopPipelineExecutionCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    StopPipelineExecutionCommandInput,
    StopPipelineExecutionCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class StopPipelineExecutionCommand extends StopPipelineExecutionCommand_base {
  protected static __types: {
    api: {
      input: StopPipelineExecutionInput;
      output: StopPipelineExecutionOutput;
    };
    sdk: {
      input: StopPipelineExecutionCommandInput;
      output: StopPipelineExecutionCommandOutput;
    };
  };
}
