import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import {
  CreateCustomActionTypeInput,
  CreateCustomActionTypeOutput,
} from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface CreateCustomActionTypeCommandInput
  extends CreateCustomActionTypeInput {}
export interface CreateCustomActionTypeCommandOutput
  extends CreateCustomActionTypeOutput,
    __MetadataBearer {}
declare const CreateCustomActionTypeCommand_base: {
  new (
    input: CreateCustomActionTypeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateCustomActionTypeCommandInput,
    CreateCustomActionTypeCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: CreateCustomActionTypeCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    CreateCustomActionTypeCommandInput,
    CreateCustomActionTypeCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class CreateCustomActionTypeCommand extends CreateCustomActionTypeCommand_base {
  protected static __types: {
    api: {
      input: CreateCustomActionTypeInput;
      output: CreateCustomActionTypeOutput;
    };
    sdk: {
      input: CreateCustomActionTypeCommandInput;
      output: CreateCustomActionTypeCommandOutput;
    };
  };
}
