import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  CodePipelineClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CodePipelineClient";
import { DeletePipelineInput } from "../models/models_0";
export { __MetadataBearer };
export { $Command };
export interface DeletePipelineCommandInput extends DeletePipelineInput {}
export interface DeletePipelineCommandOutput extends __MetadataBearer {}
declare const DeletePipelineCommand_base: {
  new (
    input: DeletePipelineCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeletePipelineCommandInput,
    DeletePipelineCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: DeletePipelineCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeletePipelineCommandInput,
    DeletePipelineCommandOutput,
    CodePipelineClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeletePipelineCommand extends DeletePipelineCommand_base {
  protected static __types: {
    api: {
      input: DeletePipelineInput;
      output: {};
    };
    sdk: {
      input: DeletePipelineCommandInput;
      output: DeletePipelineCommandOutput;
    };
  };
}
